# Class ColumnCalculatorFilter<S>

java.lang.Object
uk.ac.starlink.ttools.filter.BasicFilter
uk.ac.starlink.ttools.calc.ColumnCalculatorFilter<S>

All Implemented Interfaces:
  `ProcessingFilter`

Direct Known Subclasses:
  `SchlegelFilter`

public abstract class ColumnCalculatorFilter<S> extends BasicFilter
ProcessingFilter implementation superclass which adds to a table columns produced by a ColumnCalculator.

Since:
  14 Oct 2011
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ColumnCalculatorFilter(String name, String usage, ColumnCalculator<S> calc)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected ProcessingStep`
`createCalcStep(String[] tupleExpressions, S spec)`
Creates a processing step given a list of JEL expressions corresponding to the input tuple values for a table, and a calculation specification object

### Methods inherited from class BasicFilter

`explainSyntax, getDescription, getDescriptionLines, getName, getUsage`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ProcessingFilter

`createStep`

## Constructor Details

### ColumnCalculatorFilter

public ColumnCalculatorFilter(String name, String usage, ColumnCalculator<S> calc)
Constructor.

Parameters:
  `name` - filter name
  `usage` - filter usage
  `calc` - column calculator to produce results

## Method Details

### createCalcStep

protected ProcessingStep createCalcStep(String[] tupleExpressions, S spec)
Creates a processing step given a list of JEL expressions corresponding to the input tuple values for a table, and a calculation specification object

Parameters:
  `tupleExpressions` - JEL expressions giving input tuple values
  `spec` - calculator-specific specification object